<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.15
Name: Ausstehende Befunde
Description: Beinhaltet die Hinweise auf noch ausstehende Befunde in narrativer Form als Information für den Dokumentempfänger.In vorläufigen Entlassungsdokumenten sind oftmals noch nicht alle Befunde ausformuliert. Diese Sektion dient dazu, die noch ausstehenden Befunde als Information für den Dokumentempfänger bekanntzugeben. Dabei soll ein kurzer Vermerk für jeden
                ausstehenden Befund angegeben werden.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.2.2.15-2011-12-19T000000">
   <title>Ausstehende Befunde</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]
Item: (AusstehendeBefunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]"
         id="tmp-r-b1772724-2e70-43a0-8a1a-216b4f029174">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.15'])&gt;=1 ">(AusstehendeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.15'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.15'])&lt;=1">(AusstehendeBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:code[(@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')])&gt;=1 and not(hl7:code[(@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')]/@nullFlavor)">(AusstehendeBefunde): Element hl7:code[(@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:code[(@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')])&lt;=1">(AusstehendeBefunde): Element hl7:code[(@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(AusstehendeBefunde): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(AusstehendeBefunde): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AusstehendeBefunde): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(AusstehendeBefunde): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:templateId
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:templateId"
         id="tmp-r-29610620-b491-44d5-aead-44405e0c4dbc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AusstehendeBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.2.15'">(AusstehendeBefunde): @root MUSS den Wert '1.2.40.0.34.11.2.2.15' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:code[(@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')]
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:code[(@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')]"
         id="tmp-r-4fe330ac-dc36-4068-99a3-ba15362b3f3c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AusstehendeBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="@nullFlavor or (@code='BEFAUS' and @codeSystem='1.2.40.0.34.5.40')">(AusstehendeBefunde): Der Elementinhalt MUSS sein code 'BEFAUS' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:title
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:title"
         id="tmp-r-bca9e28b-d3f4-448a-b0e5-65f770d19d8e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AusstehendeBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="text()='Ausstehende Befunde'">(AusstehendeBefunde): Der Elementinhalt von 'hl7:title' MUSS ''Ausstehende Befunde'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:text
Item: (AusstehendeBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.15']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.2.2.15']]/hl7:text"
         id="tmp-r-689c4af5-bc43-4fa2-afbc-51388fed8471">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.2.2.15-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AusstehendeBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
